##############CASSANDRA CONFIG#########################
spring.data.cassandra.contact-points=${CASSANDRA_IP:127.0.0.1}
spring.data.cassandra.port=${CASSANDRA_PORT:9042}
spring.data.cassandra.keyspace-name=catalyst
spring.data.cassandra.username=${CASSANDRA_USERNAME:root}
spring.data.cassandra.password=${CASSANDRA_PASSWORD:root}
logging.level.org.springframework.web=ERROR
logging.level.ro.tuc.dsrl.medguide.monitoringservice=DEBUG
spring.data.cassandra.schema-action=none
#######################################################

server.port=8091
spring.jpa.properties.hibernate.jdbc.time_zone=UTC
#should be set on false on deploy
debug.mode=true

###########RABBITMQ CONFIG########################
spring.rabbitmq.host=${RABBITMQ_HOST:127.0.0.1}
spring.rabbitmq.port=${RABBITMQ_PORT:5672}
spring.rabbitmq.username=${RABBITMQ_USER:guest}
spring.rabbitmq.password=${RABBITMQ_PASSWORD:guest}
jsa.rabbitmq.routingKey=raspberry-catalyst-routing
jsa.rabbitmq.exchange=raspberry-catalyst-exchange
jsa.rabbitmq.genericqueue=raspberry-catalyst-queue

spring.rabbitmq.listener.simple.concurrency=4
spring.rabbitmq.listener.simple.max-concurrency=8
spring.rabbitmq.listener.simple.retry.initial-interval=5000
########################################################

#############FLASK DATA PREPROCESSING APP###############
python.ip = ${PYTHON_IP:localhost}
python.port = ${PYTHON_PORT:5001}
python.url = http://${python.ip}:${python.port}/
########################################################

############ASYNC INSERT THREAD CONFIG######################
start.asynchronous.service = false
simulated.time = true
# scheduled async aggregation service periodicity in minutes
async.aggregation.periodicity = 5
# data aggregation granularity in minutes
data.granularity = 5
# should be false for deploy
fast.foward = true
########################################################

dbapi.ip = ${DBAPI_IP:127.0.0.1}
dbapi.port = ${DBAPI_PORT:8081}
dbapi.url = http://${dbapi.ip}:${dbapi.port}/db-api-1.0.0/
########################################################



